Get Top Product Metrics
curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/trending/top-products/metrics \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/trending/top-products/metrics"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/trending/top-products/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"info": {
"comment": 72,
"cost": 4660,
"cover_url": null,
"cpa": 3.22,
"ctr": 2.16,
"cvr": 7.76,
"ecom_type": "13",
"first_ecom_category": {
"id": "605196",
"label": "category_605196",
"value": "Automotive & Motorbike"
},
"impression": 1740000,
"like": 3004,
"play_six_rate": 8.94,
"post": 123,
"post_change": 2.13,
"second_ecom_category": {
"id": "940808",
"label": "category_940808",
"parent_id": "605196",
"value": "Vehicle Washing & Maintenance"
},
"share": 109,
"third_ecom_category": {
"id": "940808",
"label": "category_940808",
"parent_id": "605196",
"value": "Vehicle Washing & Maintenance"
},
"url_title": "Cleaning-Care-Fluids",
"ctr_metrics": [
{
"time": 1763251200,
"value": 3.73
}
],
"post_metrics": [
{
"time": 1763251200,
"value": 3.73
}
]
}
}
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Trending
Get Top Product Metrics
Get Top Product Metrics
GET
/
api
/
trending
/
top-products
/
metrics
Get Top Product Metrics
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
Product ID
Pattern:
^\d+$Example:
"601226"
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I

